ROLE="proxy" # noqa
from cx_Freeze import setup, Executable

# Dependencies are automatically detected, but it might need
# fine tuning.
excludes = ['codecs.cn', 'codecs.hk', 'codecs.iso2022'
            'codecs.jp', 'codecs.kr', 'codecs.tw']

buildOptions = dict(packages=[], excludes=excludes)

base = 'Console'

executables = [
    Executable('gridfire.py', base=base)
]

setup(name='gridfire',
      version = '1.0',
      description = 'gridfire',
      options = dict(build_exe = buildOptions),
      executables = executables)
